Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class Copy

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.Process
              org.basex.core.proc.Copy

    public final class Copy

extends Process

Evaluates the 'copy' command and copies nodes in the database.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Process
`args`

Constructor Summary
`Copy()` Constructor, used by the GUI.
`Copy(java.lang.String source, java.lang.String target)` Constructor, using 0 as target position.
`Copy(java.lang.String source, java.lang.String target, int position)` Default constructor.

Method Summary
`static Data` | `copy(Data data, int pre)` Creates a memory data instance from the specified database and pre value.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.basex.core.Process
`args, data, error, execute, execute, info, info, info, output, printing, result, updating`

Methods inherited from class org.basex.core.Progress
`checkStop, det, detail, prog, progress, progress, stop, tit, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Copy

    public Copy(java.lang.String source,
                java.lang.String target,
                int position)

  Default constructor.

  Parameters:
    `source` - source query
    `target` - target query
    `position` - target position

### Copy

    public Copy(java.lang.String source,
                java.lang.String target)

  Constructor, using 0 as target position.

  Parameters:
    `source` - source query
    `target` - target query

### Copy

    public Copy()

  Constructor, used by the GUI.

Method Detail

### copy

    public static Data copy(Data data,
                            int pre)

  Creates a memory data instance from the specified database and pre value.

  Parameters:
    `data` - data reference
    `pre` - pre value
  Returns:
    database instance

### toString

    public java.lang.String toString()

  Description copied from class: `Process`
  Returns a string representation of the object. In the client/server architecture, the command string is sent to and reparsed by the server.

  Overrides:
    `toString` in class `Process`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD